import { ActionType } from "/@/components/PageContent";
import pageModal from "../addModel.vue";

export type PageModalInstance = typeof pageModal & {
  dialogVisible: boolean;
  confirmLoading: boolean;
  type: ActionType;
  title: String;
};
export const modalProps = {
  dialogVisible: {
    type: Boolean,
    required: Boolean
  },
  confirmLoading: {
    type: Boolean,
    default: false
  },
  type: {
    type: Object as PropType<ActionType>,
    required: true
  },
  title: {
    type: String,
    required: true
  }
};
