import { ModalConfig } from "/@/components/PageModal/src/types";
import { httpList as httpCompanylist } from "/@/api/parameter/company";
import { httpList as httpCardlist } from "/@/api/parameter/card";
const modalConfig: ModalConfig = {
  title: "企业商品",
  colLayout: { span: 24 },
  itemStyle: {},
  contact: "setComCard",
  labelWidth: "85px",
  formItems: [
    {
      field: "combination",
      type: "remote-select",
      label: "公司卡类型",
      placeholder: "公司卡类型",
      labelWidth: "85px",
      otherOptions: {
        api: httpCompanylist,
        requesetProp: "title",
        responseLabelProp: "title",
        responseValPro: "id",
        prop: "list"
      },
      span: 24,
      rules: [
        { required: true, trigger: "change", message: "请选择公司卡类型" }
      ]
    },
    {
      field: "remark",
      type: "input",
      labelWidth: "85px",
      label: "备注",
      placeholder: "备注",
      span: 24,
      rules: [{ required: true, trigger: "change", message: "请输入备注" }]
    }
  ]
};

export default modalConfig;
