import { ModalConfig } from "/@/components/PageModal/src/types";
import { isLicense } from "/@/utils/validate";
import { STATUS_OPTIONS } from "/@/config/status";
import { convertOptions } from "/@/utils/column-helper";
const modalConfig: ModalConfig = {
  title: "服务",
  itemStyle: {},
  contact: "setService",
  labelWidth: "90px",
  formItems: [
    {
      field: "status",
      type: "select",
      label: "状态",
      placeholder: "状态",
      options: convertOptions(STATUS_OPTIONS)
    },
    {
      field: "company_title",
      type: "input",
      label: "公司",
      placeholder: "公司"
    },

    {
      field: "card_title",
      type: "input",
      label: "卡类型",
      placeholder: "卡类型"
    },

    {
      field: "good_code",
      type: "input",
      label: "商品编码",
      placeholder: "商品编码"
    }
  ]
};

export default modalConfig;
