import ListModal from "./ListModal.vue";
import { ContentConfig } from "/@/components/PageContent";
import { FormConfig } from "/@/components/PageSearch";

export type PageModalInstance = typeof ListModal & {
  show: (id?: string) => void;
};

export interface ModalConfig {
  title: String;
  searchConfig: FormConfig;
  contentConfig: ContentConfig;
}

export const modalProps = {
  modalConfig: {
    type: Object as PropType<ModalConfig>,
    required: true
  }
};
