import ResetPwd from "./ResetPwd.vue";
import { FormGorup, FormItem } from "/@/components/BasicForm";

interface ContentApiResponse {
  code: number;
  message: string;
  data: any;
}

type API = (data: any) => Promise<ContentApiResponse>;

export type PageModalInstance = typeof ResetPwd & {
  show: (id?: string) => void;
};

export interface ModalConfig {
  title: String;
  httpChangePwd: API;
  formItems: Array<FormItem>;
  // formGroup: Array<FormGorup>;
}

export const modalProps = {
  modalConfig: {
    type: Object as PropType<ModalConfig>,
    required: true
  }
};
