// import { ModalConfig } from "/@/components/PageListModal2";
import { httpLog } from "/@/api/mobile/shopStock";
import { renderImage } from "/@/utils/column-helper";
const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  // {
  //   prop: "id",
  //   label: "ID"
  // },

  {
    prop: "account_username",
    label: "账户"
  },
  {
    prop: "account_name",
    label: "账户姓名"
  },
  {
    prop: "good_code",
    label: "商品编码",
    width: 160
  },
  {
    label: "图片",
    prop: "good_cover_img",
    width: 60,
    showOverflowTooltip: true,
    ...renderImage("good_cover_img")
  },
  {
    label: "商品名称",
    prop: "good_name",
    minWidth: 160
  },
  {
    prop: "inventory",
    label: "库存数",
    width: "110px"
  },
  {
    label: "单位",
    prop: "unit",
    width: 80,
    showOverflowTooltip: true
  },
  {
    label: "起订量",
    prop: "moq",
    width: 80,
    showOverflowTooltip: true
  },
  {
    label: "步长",
    prop: "step",
    width: 80,
    showOverflowTooltip: true
  },
  {
    label: "售价",
    prop: "price",
    width: 110,
    showOverflowTooltip: true
  },

  {
    prop: "updatetime",
    label: "更新时间",
    width: "160px"
  },

  {
    label: "操作",
    fixed: "right",
    width: 120,
    slot: "operation"
  }
];
const contentConfig = {
  title: "兑换商品",
  searchConfig: { formItems: [] },
  contentConfig: {
    title: "卡类型管理2",
    columns,
    apis: {
      httpList: httpLog
    }
  }
};

export default contentConfig;
