import { ContentConfig } from "/@/components/PageContent";
import { httpList, httpAdd } from "/@/api/operate/batchSetVideo";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    type: "expand",
    slot: "expand"
  },
  {
    prop: "code",
    label: "记录编码"
  },
  {
    prop: "company_title",
    label: "公司名称"
  },
  {
    prop: "card_title",
    label: "卡类型"
  },

  {
    prop: "addtime",
    label: "创建时间",
    sortable: true
  }
];

const contentConfig: ContentConfig = {
  title: "批量设置视频",
  columns,
  apis: {
    httpAdd,
    httpList
  }
};

export default contentConfig;
