import { FormConfig } from "/@/components/PageSearch";
import { STATUS_OPTIONS } from "/@/config/status";
import { convertOptions } from "/@/utils/column-helper";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start_date",
        endProp: "end_date",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
    {
      field: "company_title",
      type: "input",
      placeholder: "企业名称"
    },
    {
      field: "card_title",
      type: "input",
      placeholder: "卡类型"
    },
    {
      field: "code",
      type: "input",
      placeholder: "编码"
    }
  ]
};

export default searchFormConfig;
