/* eslint-disable prettier/prettier */
import { FormConfig } from "/@/components/PageSearch";
export const projectFormConfig: FormConfig = {
  labelWidth: "85px",
  formItems: [
    {
      label: "公司卡类型",
      field: "group_id",
      slot: "group_id",
      placeholder: "公司卡类型",
      span: 24
    },
    {
      label: "主题编码",
      field: "code",
      type: "input",
      placeholder: "主题编码",
      span: 24
    },
    {
      label: "首页轮播",
      field: "modular1",
      placeholder: "首页轮播",
      span: 24,
      type: "array",
      slot: "modular1"
    },
    {
      label: "产品宣传",
      field: "modular2",
      placeholder: "产品宣传",
      span: 24,
      type: "array",
      slot: "modula2"
    },
    {
      label: "产品展示",
      field: "modular3",
      placeholder: "产品展示",
      span: 24,
      type: "array",
      slot: "modula3"
    },
    {
      label: "产品优势",
      field: "modular4",
      placeholder: "产品优势",
      span: 24,
      type: "array",
      slot: "modula4"
    }
  ]
};
