import { FormConfig } from "/@/components/PageSearch";
import { convertOptions } from "/@/utils/column-helper";

import { STATUS_OPTIONS, GOOD_OPTIONS } from "/@/config/status";
const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "status",
      type: "select",
      placeholder: "状态",
      options: convertOptions(STATUS_OPTIONS)
    },
    {
      field: "good_code",
      type: "input",
      placeholder: "商品编码"
    },
    {
      field: "good_name",
      type: "input",
      placeholder: "商品名称"
    },
    {
      field: "type",
      type: "select",
      placeholder: "商品类型",
      options: convertOptions(GOOD_OPTIONS)
    }
  ]
};

export default searchFormConfig;
