import { FormConfig } from "/@/components/PageSearch";
import { ACCOUNT_STATUS_OPTIONS } from "/@/config/status";
import { convertOptions } from "/@/utils/column-helper";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "status",
      type: "select",
      placeholder: "状态",
      options: convertOptions(ACCOUNT_STATUS_OPTIONS)
    },
    {
      field: "express_code",
      type: "input",
      placeholder: "快递公司编码"
    },
    {
      field: "express_name",
      type: "input",
      placeholder: "快递公司名称"
    },
    {
      field: "mobile",
      type: "input",
      placeholder: "联系电话"
    }
  ]
};

export default searchFormConfig;
