import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/system/updates";
import { renderStatus } from "/@/utils/column-helper";
import { SYS_TYPE_OPTIONS } from "/@/config/status";
const columns = [
  {
    label: "版本号",
    prop: "version",

    align: "left"
  },
  {
    prop: "sys_type",
    label: "类型",
    ...renderStatus(SYS_TYPE_OPTIONS, "sys_type")
  },
  {
    label: "更新模块",
    prop: "title",

    align: "left"
  },
  {
    label: "更新时间",
    prop: "addtime"
  },
  {
    label: "操作",
    fixed: "right",
    width: 160,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "版本更新",
  columns,
  apis: {
    httpList
  }
};

export default contentConfig;
